<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/modal/init.jsp" %>

<%
String containerId = randomNamespace + "modal-root";
%>

<div class="modal-root" id="<%= containerId %>"></div>

<aui:script require="commerce-frontend-js/components/modal/entry as Modal">
	Modal.default('<%= HtmlUtil.escapeJS(id) %>', '<%= containerId %>', {
		id: '<%= HtmlUtil.escapeJS(id) %>',
		onClose: <%= refreshPageOnClose %>
			? function () {
					window.location.reload();
			  }
			: null,
		portletId: '<%= portletDisplay.getRootPortletId() %>',
		size: '<%= HtmlUtil.escapeJS(size) %>',
		spritemap: '<%= HtmlUtil.escapeJS(spritemap) %>',
		title: '<%= HtmlUtil.escapeJS(title) %>',
		url: '<%= HtmlUtil.escapeJS(url) %>',
	});
</aui:script>